# Uses of Class
org.apache.sysds.runtime.ooc.cache.OOCCacheImpl

Packages that use OOCCacheImpl
Package
Description
org.apache.sysds.runtime.ooc.cache.packed

## Uses of OOCCacheImpl in org.apache.sysds.runtime.ooc.cache.packed

Constructors in org.apache.sysds.runtime.ooc.cache.packed with parameters of type OOCCacheImpl
Modifier
Constructor
Description
``
`OOCPackedCache(OOCCacheImpl physical)`
``
`OOCPackedCache(OOCCacheImpl physical, long packThresholdBytes, long packTargetBytes, long sealDelayMs)`
``
`OOCPackedCache(OOCCacheImpl physical, long packThresholdBytes, long packTargetBytes, long maxStagingBytes, int maxOpenBuilders, long sealDelayMs, long packReleaseDelayMs)`
``
`OOCPackedCache(OOCCacheImpl physical, long packThresholdBytes, long packTargetBytes, long sealDelayMs, long packReleaseDelayMs)`